List jobs
curl --request GET \
--url https://api.renderjuice.com/api/external/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.renderjuice.com/api/external/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.renderjuice.com/api/external/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobs": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"status": "completed",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"analysisId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rootFolderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"normalizedSeconds": 123,
"previewUrl": "<string>",
"failedReason": {
"name": "<string>",
"type": "VALIDATION_FAILED",
"errorDetails": {}
},
"requestedConfig": {
"frameRanges": [
"<string>"
],
"notes": "<string>",
"blenderVersionForRender": "<string>",
"colorManagementPreset": "aces",
"renderEngine": "CYCLES",
"compositorDevice": "CPU",
"computeDeviceType": "CUDA",
"gpuCount": 1,
"sampleCount": 1,
"denoisingEnabled": true,
"denoiserType": "OPTIX",
"denoisingUseGpu": true,
"persistentDataEnabled": true,
"resolution": [
1
],
"resolutionPercentage": 16384,
"outputFormat": "PNG",
"outputMediaType": "IMAGE",
"fps": 16384,
"fpsBase": 500000.000005,
"videoOutput": true,
"useTiling": true,
"tileSize": 1,
"outputSettings": {
"colorMode": "BW",
"colorDepth": "8",
"exrCodec": "NONE",
"tiffCodec": "NONE",
"compression": 123,
"quality": 123
},
"minimumRam": 1,
"activeCamera": "<string>",
"activeViewLayer": "<string>"
},
"finalConfig": {
"fileName": "<string>",
"bpyMissingFilesReport": [
"<string>"
],
"blenderFileVersion": [
123
],
"blenderVersionForRender": "<string>",
"missingFiles": [
[
"Image"
]
],
"missingCaches": [
{
"type": "CLOTH",
"sceneName": "<string>",
"issueDescription": "<string>",
"objectName": "<string>",
"objectModifierName": "<string>"
}
],
"renderFrameRange": [
123
],
"resolution": [
123
],
"resolutionPercentage": 123,
"fileSize": 123,
"renderEngine": "CYCLES",
"outputFormat": "PNG",
"outputMediaType": "IMAGE",
"outputSettings": {
"colorMode": "BW",
"colorDepth": "8",
"exrCodec": "NONE",
"tiffCodec": "NONE",
"compression": 123,
"quality": 123
},
"fps": 123,
"fpsBase": 123,
"samples": 123,
"useTiling": true,
"tileSize": 123,
"renderDevice": "GPU",
"denoisingEnabled": true,
"denoiserType": "OPTIX",
"denoisingPrefilter": "<string>",
"denoisingInputPasses": "<string>",
"denoisingQuality": "<string>",
"denoisingUseGpu": true,
"denoisingDevice": "GPU",
"persistentDataEnabled": true,
"motionBlurEnabled": true,
"compositionNodeTreeEnabled": true,
"useCompositing": true,
"haveOutputFileNode": true,
"compositorHasRenderOutputNode": true,
"pathToFileForRender": "<string>",
"scenes": [
{
"name": "<string>",
"is_active": true,
"world": "<string>",
"unit_settings": {
"system": "<string>",
"scale_length": 123
},
"gravity": [
123
]
}
],
"animations": [
{
"name": "<string>",
"frame_range": [
123
],
"fcurves": [
{
"data_path": "<string>",
"index": 123
}
]
}
],
"linkedData": [
{
"name": "<string>",
"path": "<string>"
}
],
"addons": [
"<string>"
],
"cameras": [
{
"name": "<string>",
"type": "<string>",
"lens": 123,
"clip_start": 123,
"clip_end": 123,
"sensor_width": 123,
"sensor_height": 123,
"shift_x": 123,
"shift_y": 123,
"dof": {
"use_dof": true,
"focus_distance": 123,
"aperture_fstop": 123
}
}
],
"renderLayersAndPasses": [
{
"name": "<string>",
"use_pass_combined": true,
"use_pass_z": true,
"use_pass_normal": true
}
],
"colorManagementSettings": {
"display_device": "<string>",
"view_transform": "<string>",
"look": "<string>",
"exposure": 123,
"gamma": 123
},
"lights": [
{
"name": "<string>",
"type": "<string>",
"color": [
123
],
"energy": 123,
"shadow_soft_size": 123
}
],
"sceneCameras": [
{
"objectName": "<string>",
"dataName": "<string>",
"type": "<string>",
"isSavedActive": true
}
],
"worldSettings": {
"name": "<string>",
"ambient_color": [
123
],
"mist_settings": {
"use_mist": true,
"start": 123,
"depth": 123,
"falloff": "<string>"
}
},
"stereoscopySettings": [
{
"scene_name": "<string>",
"use_multiview": true,
"views_format": "<string>",
"views_output": "<string>",
"views": [
{
"name": "<string>",
"use": true,
"file_suffix": "<string>",
"camera_suffix": "<string>"
}
],
"stereo_3d_format": {
"display_mode": "<string>",
"anaglyph_type": "<string>",
"interlace_type": "<string>",
"use_interlace_swap": true,
"use_sidebyside_crosseyed": true
}
}
],
"compositeOutputNodes": [
{
"name": "<string>",
"label": "<string>",
"base_path": "<string>",
"format": "<string>",
"media_type": "<string>",
"slots": [
{
"name": "<string>",
"path": "<string>"
}
]
}
],
"frameStep": 123,
"compositorDevice": "CPU",
"viewLayers": [
{
"name": "<string>",
"use": true,
"isActive": true
}
],
"activeViewLayer": "<string>",
"useSingleLayer": true,
"vramMetadata": {
"schemaVersion": 1,
"sceneName": "<string>",
"textures": {
"imageCount": 1,
"unknownSizeCount": 1,
"packedImageCount": 1,
"generatedImageCount": 1,
"tiledImageCount": 1,
"sequenceImageCount": 1,
"movieImageCount": 1,
"duplicateGroups": [
{
"key": "<string>",
"count": 1,
"names": [
"<string>"
],
"estimatedBytes": 123
}
],
"estimatedBytes": 123,
"duplicateWasteBytes": 1
},
"geometry": {
"objectCount": 1,
"meshObjectCount": 1,
"uniqueMeshCount": 1,
"vertexCount": 1,
"faceCount": 1,
"triangleCount": 1,
"estimatedBytes": 1
},
"riskFeatures": {
"hasSubdivision": true,
"hasMultires": true,
"hasDisplacement": true,
"hasGeometryNodes": true,
"hasHairOrParticles": true,
"hasVolumes": true
},
"renderOutput": {
"viewLayerCount": 1,
"passComponents": 1
}
},
"analysisWarnings": [
{
"message": "<string>",
"blocking": true,
"code": "<string>"
}
],
"frameRanges": [
"<string>"
],
"notes": "<string>",
"colorManagementPreset": "aces",
"computeDeviceType": "CUDA",
"gpuCount": 1,
"sampleCount": 1,
"videoOutput": true,
"minimumRam": 1,
"activeCamera": "<string>",
"addonsToUse": [
{
"id": "<string>",
"name": "<string>"
}
],
"bundledAddonPathsToUse": [
"<string>"
],
"expectedOutputs": {
"schemaVersion": 1,
"timelineFrames": 1,
"viewMultiplier": 1,
"views": [
{
"name": "<string>",
"fileSuffix": "<string>",
"cameraSuffix": "<string>"
}
],
"categories": [
{
"kind": "camera",
"format": "<string>",
"views": [
{
"name": "<string>",
"fileSuffix": "<string>",
"cameraSuffix": "<string>"
}
],
"expectedFileCount": 1,
"nodeIndex": 1,
"nodeName": "<string>",
"nodeLabel": "<string>",
"slotName": "<string>"
}
],
"totals": {
"files": 1,
"cameraFiles": 1,
"compositeFiles": 1
}
},
"sceneToRender": "<string>"
},
"output": {
"isDeletedForClient": true,
"scheduledForDeletionAt": "2023-11-07T05:31:56Z"
},
"isAnalysisSkipped": true,
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uploadPreflight": {
"schemaVersion": 1,
"source": "client_zip_inspection",
"blendFiles": [
"<string>"
],
"packerManifestPreview": {
"manifestPath": "<string>",
"bundledAddons": [
{
"bundledPathInPack": "<string>",
"selectedForBundle": true,
"name": "<string>",
"module": "<string>",
"addonType": "<string>"
}
]
}
},
"analysis": {
"id": "<string>",
"fsNodeId": "<string>",
"type": "scene_file",
"status": "created",
"config": {
"pathToFileForRender": "<string>",
"sceneToRender": "<string>",
"addonsToUse": [
{
"id": "<string>",
"name": "<string>"
}
],
"bundledAddonPathsToUse": [
"<string>"
]
},
"output": {
"fileName": "<string>",
"bpyMissingFilesReport": [
"<string>"
],
"blenderFileVersion": [
123
],
"blenderVersionForRender": "<string>",
"missingFiles": [
[
"Image"
]
],
"missingCaches": [
{
"type": "CLOTH",
"sceneName": "<string>",
"issueDescription": "<string>",
"objectName": "<string>",
"objectModifierName": "<string>"
}
],
"renderFrameRange": [
123
],
"resolution": [
123
],
"resolutionPercentage": 123,
"fileSize": 123,
"renderEngine": "CYCLES",
"outputFormat": "PNG",
"outputMediaType": "IMAGE",
"outputSettings": {
"colorMode": "BW",
"colorDepth": "8",
"exrCodec": "NONE",
"tiffCodec": "NONE",
"compression": 123,
"quality": 123
},
"fps": 123,
"fpsBase": 123,
"samples": 123,
"useTiling": true,
"tileSize": 123,
"renderDevice": "GPU",
"denoisingEnabled": true,
"denoiserType": "OPTIX",
"denoisingPrefilter": "<string>",
"denoisingInputPasses": "<string>",
"denoisingQuality": "<string>",
"denoisingUseGpu": true,
"denoisingDevice": "GPU",
"persistentDataEnabled": true,
"motionBlurEnabled": true,
"compositionNodeTreeEnabled": true,
"useCompositing": true,
"haveOutputFileNode": true,
"compositorHasRenderOutputNode": true,
"pathToFileForRender": "<string>",
"scenes": [
{
"name": "<string>",
"is_active": true,
"world": "<string>",
"unit_settings": {
"system": "<string>",
"scale_length": 123
},
"gravity": [
123
]
}
],
"animations": [
{
"name": "<string>",
"frame_range": [
123
],
"fcurves": [
{
"data_path": "<string>",
"index": 123
}
]
}
],
"linkedData": [
{
"name": "<string>",
"path": "<string>"
}
],
"addons": [
"<string>"
],
"cameras": [
{
"name": "<string>",
"type": "<string>",
"lens": 123,
"clip_start": 123,
"clip_end": 123,
"sensor_width": 123,
"sensor_height": 123,
"shift_x": 123,
"shift_y": 123,
"dof": {
"use_dof": true,
"focus_distance": 123,
"aperture_fstop": 123
}
}
],
"renderLayersAndPasses": [
{
"name": "<string>",
"use_pass_combined": true,
"use_pass_z": true,
"use_pass_normal": true
}
],
"colorManagementSettings": {
"display_device": "<string>",
"view_transform": "<string>",
"look": "<string>",
"exposure": 123,
"gamma": 123
},
"lights": [
{
"name": "<string>",
"type": "<string>",
"color": [
123
],
"energy": 123,
"shadow_soft_size": 123
}
],
"sceneCameras": [
{
"objectName": "<string>",
"dataName": "<string>",
"type": "<string>",
"isSavedActive": true
}
],
"worldSettings": {
"name": "<string>",
"ambient_color": [
123
],
"mist_settings": {
"use_mist": true,
"start": 123,
"depth": 123,
"falloff": "<string>"
}
},
"stereoscopySettings": [
{
"scene_name": "<string>",
"use_multiview": true,
"views_format": "<string>",
"views_output": "<string>",
"views": [
{
"name": "<string>",
"use": true,
"file_suffix": "<string>",
"camera_suffix": "<string>"
}
],
"stereo_3d_format": {
"display_mode": "<string>",
"anaglyph_type": "<string>",
"interlace_type": "<string>",
"use_interlace_swap": true,
"use_sidebyside_crosseyed": true
}
}
],
"compositeOutputNodes": [
{
"name": "<string>",
"label": "<string>",
"base_path": "<string>",
"format": "<string>",
"media_type": "<string>",
"slots": [
{
"name": "<string>",
"path": "<string>"
}
]
}
],
"frameStep": 123,
"compositorDevice": "CPU",
"viewLayers": [
{
"name": "<string>",
"use": true,
"isActive": true
}
],
"activeViewLayer": "<string>",
"useSingleLayer": true,
"vramMetadata": {
"schemaVersion": 1,
"sceneName": "<string>",
"textures": {
"imageCount": 1,
"unknownSizeCount": 1,
"packedImageCount": 1,
"generatedImageCount": 1,
"tiledImageCount": 1,
"sequenceImageCount": 1,
"movieImageCount": 1,
"duplicateGroups": [
{
"key": "<string>",
"count": 1,
"names": [
"<string>"
],
"estimatedBytes": 123
}
],
"estimatedBytes": 123,
"duplicateWasteBytes": 1
},
"geometry": {
"objectCount": 1,
"meshObjectCount": 1,
"uniqueMeshCount": 1,
"vertexCount": 1,
"faceCount": 1,
"triangleCount": 1,
"estimatedBytes": 1
},
"riskFeatures": {
"hasSubdivision": true,
"hasMultires": true,
"hasDisplacement": true,
"hasGeometryNodes": true,
"hasHairOrParticles": true,
"hasVolumes": true
},
"renderOutput": {
"viewLayerCount": 1,
"passComponents": 1
}
},
"analysisWarnings": [
{
"message": "<string>",
"blocking": true,
"code": "<string>"
}
]
},
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"sceneFile": {
"id": "<string>",
"name": "<string>",
"parentId": "<string>",
"rootFolderId": "<string>",
"isSceneFile": true,
"size": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isDeleted": true,
"isFolder": false,
"scheduledForDeletionAt": "2023-11-07T05:31:56Z"
}
}
],
"pagination": {
"page": 1,
"pageSize": 10,
"total": 100,
"totalPages": 10
}
}{
"message": "<string>",
"name": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"type": "zod",
"metadata": {}
}{
"message": "<string>",
"name": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"type": "zod",
"metadata": {}
}{
"message": "<string>",
"name": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"type": "zod",
"metadata": {}
}Jobs
List jobs
List jobs with pagination and optional status filter.
GET
/
jobs
List jobs
curl --request GET \
--url https://api.renderjuice.com/api/external/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.renderjuice.com/api/external/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.renderjuice.com/api/external/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobs": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"status": "completed",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"analysisId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rootFolderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"normalizedSeconds": 123,
"previewUrl": "<string>",
"failedReason": {
"name": "<string>",
"type": "VALIDATION_FAILED",
"errorDetails": {}
},
"requestedConfig": {
"frameRanges": [
"<string>"
],
"notes": "<string>",
"blenderVersionForRender": "<string>",
"colorManagementPreset": "aces",
"renderEngine": "CYCLES",
"compositorDevice": "CPU",
"computeDeviceType": "CUDA",
"gpuCount": 1,
"sampleCount": 1,
"denoisingEnabled": true,
"denoiserType": "OPTIX",
"denoisingUseGpu": true,
"persistentDataEnabled": true,
"resolution": [
1
],
"resolutionPercentage": 16384,
"outputFormat": "PNG",
"outputMediaType": "IMAGE",
"fps": 16384,
"fpsBase": 500000.000005,
"videoOutput": true,
"useTiling": true,
"tileSize": 1,
"outputSettings": {
"colorMode": "BW",
"colorDepth": "8",
"exrCodec": "NONE",
"tiffCodec": "NONE",
"compression": 123,
"quality": 123
},
"minimumRam": 1,
"activeCamera": "<string>",
"activeViewLayer": "<string>"
},
"finalConfig": {
"fileName": "<string>",
"bpyMissingFilesReport": [
"<string>"
],
"blenderFileVersion": [
123
],
"blenderVersionForRender": "<string>",
"missingFiles": [
[
"Image"
]
],
"missingCaches": [
{
"type": "CLOTH",
"sceneName": "<string>",
"issueDescription": "<string>",
"objectName": "<string>",
"objectModifierName": "<string>"
}
],
"renderFrameRange": [
123
],
"resolution": [
123
],
"resolutionPercentage": 123,
"fileSize": 123,
"renderEngine": "CYCLES",
"outputFormat": "PNG",
"outputMediaType": "IMAGE",
"outputSettings": {
"colorMode": "BW",
"colorDepth": "8",
"exrCodec": "NONE",
"tiffCodec": "NONE",
"compression": 123,
"quality": 123
},
"fps": 123,
"fpsBase": 123,
"samples": 123,
"useTiling": true,
"tileSize": 123,
"renderDevice": "GPU",
"denoisingEnabled": true,
"denoiserType": "OPTIX",
"denoisingPrefilter": "<string>",
"denoisingInputPasses": "<string>",
"denoisingQuality": "<string>",
"denoisingUseGpu": true,
"denoisingDevice": "GPU",
"persistentDataEnabled": true,
"motionBlurEnabled": true,
"compositionNodeTreeEnabled": true,
"useCompositing": true,
"haveOutputFileNode": true,
"compositorHasRenderOutputNode": true,
"pathToFileForRender": "<string>",
"scenes": [
{
"name": "<string>",
"is_active": true,
"world": "<string>",
"unit_settings": {
"system": "<string>",
"scale_length": 123
},
"gravity": [
123
]
}
],
"animations": [
{
"name": "<string>",
"frame_range": [
123
],
"fcurves": [
{
"data_path": "<string>",
"index": 123
}
]
}
],
"linkedData": [
{
"name": "<string>",
"path": "<string>"
}
],
"addons": [
"<string>"
],
"cameras": [
{
"name": "<string>",
"type": "<string>",
"lens": 123,
"clip_start": 123,
"clip_end": 123,
"sensor_width": 123,
"sensor_height": 123,
"shift_x": 123,
"shift_y": 123,
"dof": {
"use_dof": true,
"focus_distance": 123,
"aperture_fstop": 123
}
}
],
"renderLayersAndPasses": [
{
"name": "<string>",
"use_pass_combined": true,
"use_pass_z": true,
"use_pass_normal": true
}
],
"colorManagementSettings": {
"display_device": "<string>",
"view_transform": "<string>",
"look": "<string>",
"exposure": 123,
"gamma": 123
},
"lights": [
{
"name": "<string>",
"type": "<string>",
"color": [
123
],
"energy": 123,
"shadow_soft_size": 123
}
],
"sceneCameras": [
{
"objectName": "<string>",
"dataName": "<string>",
"type": "<string>",
"isSavedActive": true
}
],
"worldSettings": {
"name": "<string>",
"ambient_color": [
123
],
"mist_settings": {
"use_mist": true,
"start": 123,
"depth": 123,
"falloff": "<string>"
}
},
"stereoscopySettings": [
{
"scene_name": "<string>",
"use_multiview": true,
"views_format": "<string>",
"views_output": "<string>",
"views": [
{
"name": "<string>",
"use": true,
"file_suffix": "<string>",
"camera_suffix": "<string>"
}
],
"stereo_3d_format": {
"display_mode": "<string>",
"anaglyph_type": "<string>",
"interlace_type": "<string>",
"use_interlace_swap": true,
"use_sidebyside_crosseyed": true
}
}
],
"compositeOutputNodes": [
{
"name": "<string>",
"label": "<string>",
"base_path": "<string>",
"format": "<string>",
"media_type": "<string>",
"slots": [
{
"name": "<string>",
"path": "<string>"
}
]
}
],
"frameStep": 123,
"compositorDevice": "CPU",
"viewLayers": [
{
"name": "<string>",
"use": true,
"isActive": true
}
],
"activeViewLayer": "<string>",
"useSingleLayer": true,
"vramMetadata": {
"schemaVersion": 1,
"sceneName": "<string>",
"textures": {
"imageCount": 1,
"unknownSizeCount": 1,
"packedImageCount": 1,
"generatedImageCount": 1,
"tiledImageCount": 1,
"sequenceImageCount": 1,
"movieImageCount": 1,
"duplicateGroups": [
{
"key": "<string>",
"count": 1,
"names": [
"<string>"
],
"estimatedBytes": 123
}
],
"estimatedBytes": 123,
"duplicateWasteBytes": 1
},
"geometry": {
"objectCount": 1,
"meshObjectCount": 1,
"uniqueMeshCount": 1,
"vertexCount": 1,
"faceCount": 1,
"triangleCount": 1,
"estimatedBytes": 1
},
"riskFeatures": {
"hasSubdivision": true,
"hasMultires": true,
"hasDisplacement": true,
"hasGeometryNodes": true,
"hasHairOrParticles": true,
"hasVolumes": true
},
"renderOutput": {
"viewLayerCount": 1,
"passComponents": 1
}
},
"analysisWarnings": [
{
"message": "<string>",
"blocking": true,
"code": "<string>"
}
],
"frameRanges": [
"<string>"
],
"notes": "<string>",
"colorManagementPreset": "aces",
"computeDeviceType": "CUDA",
"gpuCount": 1,
"sampleCount": 1,
"videoOutput": true,
"minimumRam": 1,
"activeCamera": "<string>",
"addonsToUse": [
{
"id": "<string>",
"name": "<string>"
}
],
"bundledAddonPathsToUse": [
"<string>"
],
"expectedOutputs": {
"schemaVersion": 1,
"timelineFrames": 1,
"viewMultiplier": 1,
"views": [
{
"name": "<string>",
"fileSuffix": "<string>",
"cameraSuffix": "<string>"
}
],
"categories": [
{
"kind": "camera",
"format": "<string>",
"views": [
{
"name": "<string>",
"fileSuffix": "<string>",
"cameraSuffix": "<string>"
}
],
"expectedFileCount": 1,
"nodeIndex": 1,
"nodeName": "<string>",
"nodeLabel": "<string>",
"slotName": "<string>"
}
],
"totals": {
"files": 1,
"cameraFiles": 1,
"compositeFiles": 1
}
},
"sceneToRender": "<string>"
},
"output": {
"isDeletedForClient": true,
"scheduledForDeletionAt": "2023-11-07T05:31:56Z"
},
"isAnalysisSkipped": true,
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uploadPreflight": {
"schemaVersion": 1,
"source": "client_zip_inspection",
"blendFiles": [
"<string>"
],
"packerManifestPreview": {
"manifestPath": "<string>",
"bundledAddons": [
{
"bundledPathInPack": "<string>",
"selectedForBundle": true,
"name": "<string>",
"module": "<string>",
"addonType": "<string>"
}
]
}
},
"analysis": {
"id": "<string>",
"fsNodeId": "<string>",
"type": "scene_file",
"status": "created",
"config": {
"pathToFileForRender": "<string>",
"sceneToRender": "<string>",
"addonsToUse": [
{
"id": "<string>",
"name": "<string>"
}
],
"bundledAddonPathsToUse": [
"<string>"
]
},
"output": {
"fileName": "<string>",
"bpyMissingFilesReport": [
"<string>"
],
"blenderFileVersion": [
123
],
"blenderVersionForRender": "<string>",
"missingFiles": [
[
"Image"
]
],
"missingCaches": [
{
"type": "CLOTH",
"sceneName": "<string>",
"issueDescription": "<string>",
"objectName": "<string>",
"objectModifierName": "<string>"
}
],
"renderFrameRange": [
123
],
"resolution": [
123
],
"resolutionPercentage": 123,
"fileSize": 123,
"renderEngine": "CYCLES",
"outputFormat": "PNG",
"outputMediaType": "IMAGE",
"outputSettings": {
"colorMode": "BW",
"colorDepth": "8",
"exrCodec": "NONE",
"tiffCodec": "NONE",
"compression": 123,
"quality": 123
},
"fps": 123,
"fpsBase": 123,
"samples": 123,
"useTiling": true,
"tileSize": 123,
"renderDevice": "GPU",
"denoisingEnabled": true,
"denoiserType": "OPTIX",
"denoisingPrefilter": "<string>",
"denoisingInputPasses": "<string>",
"denoisingQuality": "<string>",
"denoisingUseGpu": true,
"denoisingDevice": "GPU",
"persistentDataEnabled": true,
"motionBlurEnabled": true,
"compositionNodeTreeEnabled": true,
"useCompositing": true,
"haveOutputFileNode": true,
"compositorHasRenderOutputNode": true,
"pathToFileForRender": "<string>",
"scenes": [
{
"name": "<string>",
"is_active": true,
"world": "<string>",
"unit_settings": {
"system": "<string>",
"scale_length": 123
},
"gravity": [
123
]
}
],
"animations": [
{
"name": "<string>",
"frame_range": [
123
],
"fcurves": [
{
"data_path": "<string>",
"index": 123
}
]
}
],
"linkedData": [
{
"name": "<string>",
"path": "<string>"
}
],
"addons": [
"<string>"
],
"cameras": [
{
"name": "<string>",
"type": "<string>",
"lens": 123,
"clip_start": 123,
"clip_end": 123,
"sensor_width": 123,
"sensor_height": 123,
"shift_x": 123,
"shift_y": 123,
"dof": {
"use_dof": true,
"focus_distance": 123,
"aperture_fstop": 123
}
}
],
"renderLayersAndPasses": [
{
"name": "<string>",
"use_pass_combined": true,
"use_pass_z": true,
"use_pass_normal": true
}
],
"colorManagementSettings": {
"display_device": "<string>",
"view_transform": "<string>",
"look": "<string>",
"exposure": 123,
"gamma": 123
},
"lights": [
{
"name": "<string>",
"type": "<string>",
"color": [
123
],
"energy": 123,
"shadow_soft_size": 123
}
],
"sceneCameras": [
{
"objectName": "<string>",
"dataName": "<string>",
"type": "<string>",
"isSavedActive": true
}
],
"worldSettings": {
"name": "<string>",
"ambient_color": [
123
],
"mist_settings": {
"use_mist": true,
"start": 123,
"depth": 123,
"falloff": "<string>"
}
},
"stereoscopySettings": [
{
"scene_name": "<string>",
"use_multiview": true,
"views_format": "<string>",
"views_output": "<string>",
"views": [
{
"name": "<string>",
"use": true,
"file_suffix": "<string>",
"camera_suffix": "<string>"
}
],
"stereo_3d_format": {
"display_mode": "<string>",
"anaglyph_type": "<string>",
"interlace_type": "<string>",
"use_interlace_swap": true,
"use_sidebyside_crosseyed": true
}
}
],
"compositeOutputNodes": [
{
"name": "<string>",
"label": "<string>",
"base_path": "<string>",
"format": "<string>",
"media_type": "<string>",
"slots": [
{
"name": "<string>",
"path": "<string>"
}
]
}
],
"frameStep": 123,
"compositorDevice": "CPU",
"viewLayers": [
{
"name": "<string>",
"use": true,
"isActive": true
}
],
"activeViewLayer": "<string>",
"useSingleLayer": true,
"vramMetadata": {
"schemaVersion": 1,
"sceneName": "<string>",
"textures": {
"imageCount": 1,
"unknownSizeCount": 1,
"packedImageCount": 1,
"generatedImageCount": 1,
"tiledImageCount": 1,
"sequenceImageCount": 1,
"movieImageCount": 1,
"duplicateGroups": [
{
"key": "<string>",
"count": 1,
"names": [
"<string>"
],
"estimatedBytes": 123
}
],
"estimatedBytes": 123,
"duplicateWasteBytes": 1
},
"geometry": {
"objectCount": 1,
"meshObjectCount": 1,
"uniqueMeshCount": 1,
"vertexCount": 1,
"faceCount": 1,
"triangleCount": 1,
"estimatedBytes": 1
},
"riskFeatures": {
"hasSubdivision": true,
"hasMultires": true,
"hasDisplacement": true,
"hasGeometryNodes": true,
"hasHairOrParticles": true,
"hasVolumes": true
},
"renderOutput": {
"viewLayerCount": 1,
"passComponents": 1
}
},
"analysisWarnings": [
{
"message": "<string>",
"blocking": true,
"code": "<string>"
}
]
},
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"sceneFile": {
"id": "<string>",
"name": "<string>",
"parentId": "<string>",
"rootFolderId": "<string>",
"isSceneFile": true,
"size": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isDeleted": true,
"isFolder": false,
"scheduledForDeletionAt": "2023-11-07T05:31:56Z"
}
}
],
"pagination": {
"page": 1,
"pageSize": 10,
"total": 100,
"totalPages": 10
}
}{
"message": "<string>",
"name": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"type": "zod",
"metadata": {}
}{
"message": "<string>",
"name": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"type": "zod",
"metadata": {}
}{
"message": "<string>",
"name": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"type": "zod",
"metadata": {}
}Authorizations
API key authentication. Format: Bearer RJ-XXX.... Get your API key from the Renderjuice dashboard.
Query Parameters
Page number to retrieve (1-indexed) Page number to retrieve (1-indexed). Defaults to 1 if not provided.
Required range:
x > 0Example:
1
Number of jobs to return per page Number of jobs to return per page. Defaults to 20 if not provided (max: 100).
Required range:
0 < x <= 100Example:
20
Filter jobs by status Filter jobs by status. If not provided, returns jobs with all statuses.
Available options:
created, validating, validated, debugging, rendering, finalizing, completed, failed, canceled, booting, suspended Example:
"rendering"
Related topics
ChangelogAPI integrationsGigantic Thank You and Farewell to Early AccessUsing add-ons and extensions with RenderjuiceVideo Outputs (MP4)Was this page helpful?
⌘I

